## openvpn-auth-oauth2 1.26.2+dfsg

=== Makefile ===
##
# Console Colors
##
GREEN  := $(shell printf "\033[0;32m")
YELLOW := $(shell printf "\033[0;33m")
WHITE  := $(shell printf "\033[0;37m")
CYAN   := $(shell printf "\033[0;36m")
RESET  := $(shell printf "\033[0m")

# Get the current working directory
CURRENT_DIR := $(CURDIR)

# Get the directory name of the current working directory
PROJECT_NAME := $(notdir $(CURRENT_DIR))

# Get the GOOS value
GOOS := $(shell go env GOOS)

# Determine the output file extension based on the GOOS value
ifeq ($(GOOS),windows)
	EXT := .exe
else
	EXT :=
endif

##
# Targets
##
.PHONY: help
help: ## show this help.
	@echo "Project: $(PROJECT_NAME)"
	@echo 'Usage:'
	@echo "  ${GREEN}make${RESET} ${YELLOW}<target>${RESET}"
	@echo ''
	@echo 'Targets:'
	@awk 'BEGIN {FS = ":.*?## "} { \
		if (/^[a-zA-Z_-]+:.*?##.*$$/) {printf "  ${GREEN}%-21s${YELLOW}%s${RESET}\n", $$1, $$2} \
		else if (/^## .*$$/) {printf "  ${CYAN}%s${RESET}\n", substr($$1,4)} \
		}' $(MAKEFILE_LIST) | sort

.PHONY: clean
clean: ## clean builds dir
	@rm -rf "$(PROJECT_NAME)" "$(PROJECT_NAME).exe" dist/

.PHONY: check
check: test lint golangci ## Run all checks locally

.PHONY: update
update:  ## Run dependency updates
	@go get -u ./...
	@go mod tidy

.PHONY: build  ## Build the project
build: clean $(PROJECT_NAME)

$(PROJECT_NAME):
	@go build -o $(PROJECT_NAME)$(EXT) .

.PHONY: test
test:  ## Test the project
	@go test -race ./...

.PHONY: lint
lint: golangci  ## Run linter

.PHONY: fmt  ## Format code
fmt:
	@-go fmt ./...
	@-go run github.com/daixiang0/gci@v0.13.7 write .
	@-go run mvdan.cc/gofumpt@v0.9.1 -l -w .
	@-go run golang.org/x/tools/cmd/goimports@v0.38.0 -l -w .
	@-go run github.com/bombsimon/wsl/v5/cmd/wsl@v5.3.0 -fix ./...
	@-go run github.com/catenacyber/perfsprint@v0.9.1 --fix ./...
	@-go run github.com/tetafro/godot/cmd/godot@v1.4.20 -w .
	@-go run github.com/4meepo/tagalign/cmd/tagalign@v1.4.3 -fix -sort ./...
	@-go run golang.org/x/tools/go/analysis/passes/fieldalignment/cmd/fieldalignment@v0.38.0 -test=false -fix ./...
	@-go run github.com/golangci/golangci-lint/v2/cmd/golangci-lint@v2.5.0 run ./...

.PHONY: golangci
golangci:
	@go run github.com/golangci/golangci-lint/v2/cmd/golangci-lint@v2.5.0 run ./...

.PHONY: 3rdpartylicenses
3rdpartylicenses:
	@go run github.com/google/go-licenses/v2@v2.0.1 save . --save_path=3rdpartylicenses

=== debian/changelog ===
openvpn-auth-oauth2 (1.26.2+dfsg-1) unstable; urgency=medium

  * Initial upload to sid (Closes: #1118276).
  * Rebuilding upstream tarball without sourceless favicon.png.

 -- Daniel Baumann <daniel@debian.org>  Fri, 17 Oct 2025 13:15:14 +0200

=== debian/control ===
Source: openvpn-auth-oauth2
Section: net
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-stretchr-testify-dev,
 golang-github-zitadel-logging-dev,
 golang-github-zitadel-oidc-dev,
 golang-golang-x-net-dev,
 golang-golang-x-oauth2-google-dev,
 golang-golang-x-text-dev,
 golang-gopkg-yaml.v3-dev (>= 3.0.4),
Standards-Version: 4.7.2
Homepage: https://github.com/jkroepke/openvpn-auth-oauth2
Vcs-Browser: https://forgejo.debian.net/openvpn/openvpn-auth-oauth2
Vcs-Git: https://forgejo.debian.net/openvpn/openvpn-auth-oauth2
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/jkroepke/openvpn-auth-oauth2

Package: openvpn-auth-oauth2
Section: net
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Static-Built-Using:
 ${misc:Static-Built-Using},
Description: virtual private network daemon (OAuth2 plugin)
 OpenVPN is an application to securely tunnel IP networks over a
 single UDP or TCP port. It can be used to access remote sites, make
 secure point-to-point connections, enhance wireless security, etc.
 .
 openvpn-auth-oauth2 is a management client for OpenVPN that handles the single
 sign-on (SSO) authentication against various OIDC providers.
 .
 It integrates OpenVPN with OIDC providers such as:
 .
   * Microsoft Entra ID (Azure AD)
   * GitHub
   * Okta
   * Google Workspace
   * Authentik
   * Zitadel
   * DigitalOcean
   * Keycloak
   * ...any other OIDC compatible auth server

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --builddirectory=_build --buildsystem=golang

execute_before_dh_auto_build:
	mkdir -p _build/src/github.com/jkroepke/openvpn-auth-oauth2/internal/ui
	cp -a internal/ui/index.gohtml _build/src/github.com/jkroepke/openvpn-auth-oauth2/internal/ui

	mkdir -p _build/src/github.com/jkroepke/openvpn-auth-oauth2/internal/ui/assets
	cp -a internal/ui/assets/i18n _build/src/github.com/jkroepke/openvpn-auth-oauth2/internal/ui/assets
	cp -a internal/ui/assets/*.css _build/src/github.com/jkroepke/openvpn-auth-oauth2/internal/ui/assets
	cp -a internal/ui/assets/*.js _build/src/github.com/jkroepke/openvpn-auth-oauth2/internal/ui/assets

override_dh_auto_test:
	# disabled, needs additional packages

override_dh_auto_install:
	dh_auto_install -- --no-source

## openvpn-auth-oauth2 1.26.4+dfsg

=== Makefile ===
--- 
+++ 
@@ -67,19 +67,19 @@
 fmt:
 	@-go fmt ./...
 	@-go run github.com/daixiang0/gci@v0.13.7 write .
-	@-go run mvdan.cc/gofumpt@v0.9.1 -l -w .
-	@-go run golang.org/x/tools/cmd/goimports@v0.38.0 -l -w .
+	@-go run mvdan.cc/gofumpt@v0.9.2 -l -w .
+	@-go run golang.org/x/tools/cmd/goimports@v0.39.0 -l -w .
 	@-go run github.com/bombsimon/wsl/v5/cmd/wsl@v5.3.0 -fix ./...
-	@-go run github.com/catenacyber/perfsprint@v0.9.1 --fix ./...
+	@-go run github.com/catenacyber/perfsprint@v0.10.1 --fix ./...
 	@-go run github.com/tetafro/godot/cmd/godot@v1.4.20 -w .
 	@-go run github.com/4meepo/tagalign/cmd/tagalign@v1.4.3 -fix -sort ./...
-	@-go run golang.org/x/tools/go/analysis/passes/fieldalignment/cmd/fieldalignment@v0.38.0 -test=false -fix ./...
-	@-go run github.com/golangci/golangci-lint/v2/cmd/golangci-lint@v2.5.0 run ./...
+	@-go run golang.org/x/tools/go/analysis/passes/fieldalignment/cmd/fieldalignment@v0.39.0 -test=false -fix ./...
+	@-go run github.com/golangci/golangci-lint/v2/cmd/golangci-lint@v2.6.2 run ./...
 
 .PHONY: golangci
 golangci:
-	@go run github.com/golangci/golangci-lint/v2/cmd/golangci-lint@v2.5.0 run ./...
+	@go run github.com/golangci/golangci-lint/v2/cmd/golangci-lint@v2.6.2 run ./...
 
 .PHONY: 3rdpartylicenses
 3rdpartylicenses:
-	@go run github.com/google/go-licenses/v2@v2.0.1 save . --save_path=3rdpartylicenses
+	@go run github.com/google/go-licenses/v2@v2.0.1 save ./cmd/openvpn-auth-oauth2 --save_path=3rdpartylicenses

=== debian/changelog ===
openvpn-auth-oauth2 (1.26.4+dfsg-6) unstable; urgency=medium

  * Using dh_golang install extra variable rather than manually copying
    files into build directory, thanks to Andrew Lee <ajqlee@debian.org>.
  * Building experimental openvpn native plugin.

 -- Daniel Baumann <daniel@debian.org>  Sun, 25 Jan 2026 17:43:25 +0100

openvpn-auth-oauth2 (1.26.4+dfsg-5) unstable; urgency=medium

  * Starting openvpn-auth-oauth2 services only when configs exist.
  * Moving default config file to examples, so openvpn-auth-oauth2 doesn't
    start by default.

 -- Daniel Baumann <daniel@debian.org>  Mon, 12 Jan 2026 10:00:53 +0100

openvpn-auth-oauth2 (1.26.4+dfsg-4) unstable; urgency=medium

  * Updating httpmux.patch description.
  * Updating to standards version 4.7.3.
  * Wrap and sorting debian files.
  * Updating years in copyright for 2026.
  * Removing defaults file in favour of daemon specific configuration
    consistency.
  * Adding patch to update executable paths in systemd service file for
    dynamic compiling, thanks to Joanand Kuharajasekaram
    <joanand.kuharajasekaram@bfh.ch>.
  * Adding systemd service template, thanks to Joanand Kuharajasekaram
    <joanand.kuharajasekaram@bfh.ch> and Andrew Lee <ajqlee@debian.org>.

 -- Daniel Baumann <daniel@debian.org>  Fri, 09 Jan 2026 10:56:11 +0100

openvpn-auth-oauth2 (1.26.4+dfsg-3) unstable; urgency=medium

  * Adding patch to disable httmux golang 1.21 compat mode, thanks to
    Andrew Lee <ajqlee@debian.org>.

 -- Daniel Baumann <daniel@debian.org>  Tue, 23 Dec 2025 13:23:33 +0100

openvpn-auth-oauth2 (1.26.4+dfsg-2) unstable; urgency=medium

  * Adding newly added openvpn-plugin.h to copyright, thanks to Andrew Lee
    <ajqlee@debian.org>.

 -- Daniel Baumann <daniel@debian.org>  Fri, 05 Dec 2025 08:16:18 +0100

openvpn-auth-oauth2 (1.26.4+dfsg-1) unstable; urgency=medium

  * Merging upstream version 1.26.4+dfsg.
  * Building with golang-1.25 due to usage of new waitGroup functions.

 -- Daniel Baumann <daniel@debian.org>  Tue, 02 Dec 2025 08:18:53 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-golang,
- golang-any,
+ golang-1.25,
  golang-github-stretchr-testify-dev,
  golang-github-zitadel-logging-dev,
  golang-github-zitadel-oidc-dev,
@@ -13,7 +13,7 @@
  golang-golang-x-oauth2-google-dev,
  golang-golang-x-text-dev,
  golang-gopkg-yaml.v3-dev (>= 3.0.4),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/jkroepke/openvpn-auth-oauth2
 Vcs-Browser: https://forgejo.debian.net/openvpn/openvpn-auth-oauth2
 Vcs-Git: https://forgejo.debian.net/openvpn/openvpn-auth-oauth2
@@ -24,6 +24,7 @@
 Section: net
 Architecture: any
 Depends:
+ ssl-cert,
  ${misc:Depends},
  ${shlibs:Depends},
 Static-Built-Using:

=== debian/rules ===
#!/usr/bin/make -f

export GOROOT := /usr/lib/go-1.25
export PATH := /usr/lib/go-1.25/bin:$(PATH)

export DH_GOLANG_INSTALL_EXTRA := internal/ui

%:
	dh ${@} --builddirectory=_build --buildsystem=golang

execute_after_dh_auto_build:
	# plugin
	go build -buildvcs=false -o _build/openvpn-auth-oauth2.so -buildmode=c-shared ./lib/openvpn-auth-oauth2/

override_dh_auto_test:
	# disabled, needs additional packages

override_dh_auto_install:
	dh_auto_install -- --no-source

## openvpn-auth-oauth2 1.27.0

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,9 @@
 
 # Get the GOOS value
 GOOS := $(shell go env GOOS)
+
+# Disable CGO for static binaries
+CGO_ENABLED := 0
 
 # Determine the output file extension based on the GOOS value
 ifeq ($(GOOS),windows)
@@ -54,7 +57,7 @@
 build: clean $(PROJECT_NAME)
 
 $(PROJECT_NAME):
-	@go build -o $(PROJECT_NAME)$(EXT) .
+	@go build -o $(PROJECT_NAME)$(EXT) ./cmd/openvpn-auth-oauth2
 
 .PHONY: test
 test:  ## Test the project
@@ -68,17 +71,18 @@
 	@-go fmt ./...
 	@-go run github.com/daixiang0/gci@v0.13.7 write .
 	@-go run mvdan.cc/gofumpt@v0.9.2 -l -w .
-	@-go run golang.org/x/tools/cmd/goimports@v0.39.0 -l -w .
-	@-go run github.com/bombsimon/wsl/v5/cmd/wsl@v5.3.0 -fix ./...
+	@-go run golang.org/x/tools/cmd/goimports@v0.41.0 -l -w .
+	@-go run github.com/bombsimon/wsl/v5/cmd/wsl@v5.6.0 -fix ./...
 	@-go run github.com/catenacyber/perfsprint@v0.10.1 --fix ./...
 	@-go run github.com/tetafro/godot/cmd/godot@v1.4.20 -w .
 	@-go run github.com/4meepo/tagalign/cmd/tagalign@v1.4.3 -fix -sort ./...
-	@-go run golang.org/x/tools/go/analysis/passes/fieldalignment/cmd/fieldalignment@v0.39.0 -test=false -fix ./...
-	@-go run github.com/golangci/golangci-lint/v2/cmd/golangci-lint@v2.6.2 run ./...
+	@-go run github.com/t34-dev/go-field-alignment/v2/cmd/gofield@v2.0.10 --files . -fix
+	@-go run golang.org/x/tools/go/analysis/passes/fieldalignment/cmd/fieldalignment@v0.41.0 -test=false -fix ./...
+	@-go run github.com/golangci/golangci-lint/v2/cmd/golangci-lint@v2.8.0 run ./...
 
 .PHONY: golangci
 golangci:
-	@go run github.com/golangci/golangci-lint/v2/cmd/golangci-lint@v2.6.2 run ./...
+	@go run github.com/golangci/golangci-lint/v2/cmd/golangci-lint@v2.8.0 run ./...
 
 .PHONY: 3rdpartylicenses
 3rdpartylicenses:

=== debian/changelog ===
openvpn-auth-oauth2 (1.27.0-2) unstable; urgency=medium

  * Passing location of the cache directory to fix FTBFS when manually
    building the plugin after the daemon (Closes: #1127974).

 -- Daniel Baumann <daniel@debian.org>  Thu, 19 Feb 2026 15:50:24 +0100

openvpn-auth-oauth2 (1.27.0-1) unstable; urgency=medium

  * Merging upstream version 1.27.0.
  * Removing files-excluded in copyright, not needed anymore.
  * Removing exclude-favicon.patch, not needed anymore.
  * Removing httpmux.patch, not needed anymore.
  * Renumbering patches.
  * Adding new build-depends to golang-github-google-cel-go.

 -- Daniel Baumann <daniel@debian.org>  Thu, 19 Feb 2026 10:14:06 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  debhelper-compat (= 13),
  dh-sequence-golang,
  golang-1.25,
+ golang-github-google-cel-go-dev (>= 0.27.0),
  golang-github-stretchr-testify-dev,
  golang-github-zitadel-logging-dev,
  golang-github-zitadel-oidc-dev,

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 execute_after_dh_auto_build:
 	# plugin
-	go build -buildvcs=false -o _build/openvpn-auth-oauth2.so -buildmode=c-shared ./lib/openvpn-auth-oauth2/
+	GOCACHE=$(CURDIR)/_build/cache go build -buildvcs=false -o _build/openvpn-auth-oauth2.so -buildmode=c-shared ./lib/openvpn-auth-oauth2/
 
 override_dh_auto_test:
 	# disabled, needs additional packages

=== debian/watch ===
Version: 5

Template: Github
Owner: jkroepke
Project: @PACKAGE@
Dversion-Mangle: auto

## openvpn-auth-oauth2 1.27.1

=== Makefile ===
--- 
+++ 
@@ -71,18 +71,18 @@
 	@-go fmt ./...
 	@-go run github.com/daixiang0/gci@v0.13.7 write .
 	@-go run mvdan.cc/gofumpt@v0.9.2 -l -w .
-	@-go run golang.org/x/tools/cmd/goimports@v0.41.0 -l -w .
+	@-go run golang.org/x/tools/cmd/goimports@v0.42.0 -l -w .
 	@-go run github.com/bombsimon/wsl/v5/cmd/wsl@v5.6.0 -fix ./...
 	@-go run github.com/catenacyber/perfsprint@v0.10.1 --fix ./...
 	@-go run github.com/tetafro/godot/cmd/godot@v1.4.20 -w .
 	@-go run github.com/4meepo/tagalign/cmd/tagalign@v1.4.3 -fix -sort ./...
 	@-go run github.com/t34-dev/go-field-alignment/v2/cmd/gofield@v2.0.10 --files . -fix
-	@-go run golang.org/x/tools/go/analysis/passes/fieldalignment/cmd/fieldalignment@v0.41.0 -test=false -fix ./...
-	@-go run github.com/golangci/golangci-lint/v2/cmd/golangci-lint@v2.8.0 run ./...
+	@-go run golang.org/x/tools/go/analysis/passes/fieldalignment/cmd/fieldalignment@v0.42.0 -test=false -fix ./...
+	@-go run github.com/golangci/golangci-lint/v2/cmd/golangci-lint@v2.10.1 run ./...
 
 .PHONY: golangci
 golangci:
-	@go run github.com/golangci/golangci-lint/v2/cmd/golangci-lint@v2.8.0 run ./...
+	@go run github.com/golangci/golangci-lint/v2/cmd/golangci-lint@v2.10.1 run ./...
 
 .PHONY: 3rdpartylicenses
 3rdpartylicenses:

=== debian/changelog ===
openvpn-auth-oauth2 (1.27.1-1) unstable; urgency=medium

  * Moving dh-golang builddirectory to debian/_build.
  * Harmonizing watch file.
  * Merging upstream version 1.27.1.
  * Updating year in copyright for 2026.

 -- Daniel Baumann <daniel@debian.org>  Tue, 03 Mar 2026 18:41:25 +0100

=== debian/rules ===
#!/usr/bin/make -f

export GOROOT := /usr/lib/go-1.25
export PATH := /usr/lib/go-1.25/bin:$(PATH)

export DH_GOLANG_INSTALL_EXTRA := internal/ui

%:
	dh ${@} --builddirectory=debian/_build --buildsystem=golang

execute_after_dh_auto_build:
	# plugin
	GOCACHE=$(CURDIR)/debian/_build/cache go build -buildvcs=false -o _build/openvpn-auth-oauth2.so -buildmode=c-shared ./lib/openvpn-auth-oauth2/

override_dh_auto_test:
	# disabled, needs additional packages

override_dh_auto_install:
	dh_auto_install -- --no-source

=== debian/watch ===
Version: 5

Template: Github
Owner: jkroepke
Project: openvpn-auth-oauth2
Dversion-Mangle: auto
